Bug 1395126 (CVE-2016-9447) - CVE-2016-9447 gstreamer-plugins-bad-free: Memory corruption flaw in NSF decoder
Summary: CVE-2016-9447 gstreamer-plugins-bad-free: Memory corruption flaw in NSF decoder
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-9447
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1395129 1395128 1400820 1400821 1400838 1400839 1400908
Blocks: 1395130
TreeView+ depends on / blocked
 
Reported: 2016-11-15 08:49 UTC by Andrej Nemec
Modified: 2019-09-29 13:59 UTC (History)
21 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A memory corruption flaw was found in GStreamer's Nintendo NSF music file format decoding plug-in. A remote attacker could use this flaw to cause an application using GStreamer to crash or, potentially, execute arbitrary code with the privileges of the user running the application.
Clone Of:
Environment:
Last Closed: 2017-07-27 14:26:44 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2974 normal SHIPPED_LIVE Important: gstreamer-plugins-bad-free security update 2016-12-21 17:13:11 UTC
Red Hat Product Errata RHSA-2017:0018 normal SHIPPED_LIVE Moderate: gstreamer-plugins-bad-free security update 2017-01-05 14:15:14 UTC

Description Andrej Nemec 2016-11-15 08:49:56 UTC
A vulnerability was found in gstreamer-0.10. There is a near total lack of bounds checking on proposed ROM mappings. This applies to be the initial ROM load, as well as subsequent ROM bank switching. All of the handling for ROM mapping is in gst-plugins-bad/gst/nsf.c

External References:

https://scarybeastsecurity.blogspot.cz/2016/11/0day-exploit-compromising-linux-desktop.html

Comment 1 Andrej Nemec 2016-11-15 08:50:45 UTC
Created gstreamer tracking bugs for this issue:

Affects: fedora-all [bug 1395128]

Comment 2 Andrej Nemec 2016-11-15 08:50:58 UTC
Created mingw-gstreamer tracking bugs for this issue:

Affects: fedora-all [bug 1395129]

Comment 5 Dhiru Kholia 2016-11-18 06:49:46 UTC
Mitigation:

sudo rm /usr/lib*/gstreamer-0.10/libgstnsf.so

Please note that this mitigation deletes the vulnerable NSF codec file, which removes the functionality to play Nintendo NSF music files.

Comment 6 Andrej Nemec 2016-11-21 07:06:11 UTC
CVE assignment:

http://seclists.org/oss-sec/2016/q4/462

Comment 11 Dhiru Kholia 2016-12-02 09:33:16 UTC
Created gstreamer-plugins-bad-free tracking bugs for this issue:

Affects: fedora-all [bug 1400908]

Comment 12 errata-xmlrpc 2016-12-21 12:13:22 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2016:2974 https://rhn.redhat.com/errata/RHSA-2016-2974.html

Comment 13 errata-xmlrpc 2017-01-05 09:15:26 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:0018 https://rhn.redhat.com/errata/RHSA-2017-0018.html


Note You need to log in before you can comment on or make changes to this bug.